import * as yup from 'yup'

import { Pattern } from 'src/models'

export type CreatePatternSchema = Pick<Pattern, 'title' | 'description'>

const PATTERN_TITLE_MAX_LENGHT = 255

export const createPatternSchema = yup.object().shape<CreatePatternSchema>({
  title: yup
    .string()
    .max(
      PATTERN_TITLE_MAX_LENGHT,
      `El titulo debe tener menos de ${PATTERN_TITLE_MAX_LENGHT} caracteres`
    )
    .required('El titulo es requerido'),
  description: yup.string().required('La descripcion es requerida'),
})
